Zum Inhalt springen
English
Esc
↑↓navigate↵open⌘Jpreview

Get a building

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/buildings/{id}
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Path parameters
idstringrequired
min length 1
Responses
200OK
idstringrequired
contactIdstringrequired
namestringrequired
streetstring | anyrequired
Show properties
Any of:
string
string
any
any
postalCodestring | anyrequired
Show properties
Any of:
string
string
any
any
citystring | anyrequired
Show properties
Any of:
string
string
any
any
countryCodestringrequired
buildingTypestring | anyrequired
Show properties
Any of:
string
string
any
any
buildingYearinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
livingAreanumber | anyrequired
Show properties
Any of:
number
number
any
any
notesstring | anyrequired
Show properties
Any of:
string
string
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
Request
curl -X GET "https://app.bauhow.com/api/v1/buildings/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "string",
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "string",
  "buildingType": "string",
  "buildingYear": 0,
  "livingArea": 0,
  "notes": "string",
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z"
}